Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.stat
Class TallyWithTimes

    java.lang.Object
      umontreal.iro.lecuyer.stat.StatProbe
          umontreal.iro.lecuyer.stat.Tally
              umontreal.iro.lecuyer.stat.TallyWithTimes

All Implemented Interfaces:
  Cloneable

    public class TallyWithTimes

extends Tally

Nested Class Summary
`static class` | `TallyWithTimes.Observation`

Field Summary

Fields inherited from class umontreal.iro.lecuyer.stat.Tally
`confidenceInterval, digits, level`

Fields inherited from class umontreal.iro.lecuyer.stat.StatProbe
`broadcast, collect, maxValue, minValue, name, showNobs, sumValue`

Constructor Summary
`TallyWithTimes()`

Method Summary
`void` | `add(double x)`
`double` | `averageFrom(double t)`
`double` | `averageOnInterval(double t1, double t2)`
`int` | `getNextObs(double time)`
`List<TallyWithTimes.Observation>` | `getObservations()`
`void` | `init()`

Methods inherited from class umontreal.iro.lecuyer.stat.Tally
`average, clone, confidenceIntervalNormal, confidenceIntervalStudent, confidenceIntervalVarianceChi2, formatCINormal, formatCINormal, formatCIStudent, formatCIStudent, formatCIVarianceChi2, getConfidenceLevel, numberObs, report, report, reportAndCIStudent, reportAndCIStudent, setConfidenceIntervalNone, setConfidenceIntervalNormal, setConfidenceIntervalStudent, setConfidenceLevel, setShowNumberObs, shortReport, shortReportHeader, standardDeviation, variance`

Methods inherited from class umontreal.iro.lecuyer.stat.StatProbe
`addObservationListener, clearObservationListeners, getName, isBroadcasting, isCollecting, max, min, notifyListeners, removeObservationListener, report, report, setBroadcasting, setCollecting, setName, sum`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TallyWithTimes

    public TallyWithTimes()

Method Detail

### init

    public void init()

  Overrides:
    `init` in class `Tally`

### add

    public void add(double x)

  Overrides:
    `add` in class `Tally`

### getObservations

    public List<TallyWithTimes.Observation> getObservations()

### averageOnInterval

    public double averageOnInterval(double t1,
                                    double t2)

### averageFrom

    public double averageFrom(double t)

### getNextObs

    public int getNextObs(double time)

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.